
QGIS Application - Feature request #4517

Add rotation option to PAL labelling

2011-11-12 05:56 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 14435

Description

Currently, rotation of labels based on a table field is only possible if fixed position is activated (x,y fields are defined AND filled for

coordinates). This same option should be activated also for PAL labelling

Associated revisions

Revision 61a50225 - 2012-09-03 06:13 AM - Larry Shaffer

Add quadrant, offset, rotation for points/centroids in adv labeling

- Possible fix for #4634, #5256, #6162

- Uses GEOS to convert centroids to points before PAL solution

- Implements #3492, #6285

- Convert PAL layer types 'over point/centroid' to 'offset from point/centroid'

- Add quadrant offsets (above/below/right, etc. like in old labeling)

- Add x and y offset, in mm or map unit, in addition to quadrant

- Default for offset is set to map units (mm scales oddly with zoom)

- Implements #4517, #6118; updates fix for #4317

- Rotation is independent of data defined columns

- Rotation bounding box included in offset calculation

- GUI spin box range set from -360 to +360 for initial dev testing

- Keep from scaling letter/word spacing if set to 0

History

#1 - 2011-11-14 09:37 AM - Martin Dobias

- Assignee deleted (Martin Dobias)

#2 - 2011-11-14 09:38 AM - Martin Dobias

- Tracker changed from Bug report to Feature request

#3 - 2011-12-09 08:30 AM - Paolo Cavallini

- Category set to Labelling

#4 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0
#6 - 2012-08-13 04:32 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Now in master it is possible to easy populate the x/y columns with the "pin labels" tool, and so have the labels automatically rotated.
